goocanvasmm: Goocanvas::ItemSimple Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::ItemSimple Class Reference
Inheritance diagram for Goocanvas::ItemSimple:
[legend]

List of all members.

## Public Member Functions
virtual | ~ItemSimple ()
GooCanvasItemSimple* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasItemSimple* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasItemSimple* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_model (const Glib::RefPtr< ItemModel >& model)
| This function should be called by subclasses of Goo::CanvasItemSimple in their set_model() method.
void | get_path_bounds (const Cairo::RefPtr< Cairo::Context >& context, Bounds& bounds) const
| This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods.
void | user_bounds_to_device (const Cairo::RefPtr< Cairo::Context >& context, Bounds& bounds)
| This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods.
void | user_bounds_to_parent (const Cairo::RefPtr< Cairo::Context >& context, Bounds& bounds)
| This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their get_requested_area() method.
bool | check_in_path (double x, double y, const Cairo::RefPtr< Cairo::Context >& cr, PointerEvents pointer_events) const
| This function is intended to be used by subclasses of Goo::CanvasItemSimple.
void | paint_path (const Cairo::RefPtr< Cairo::Context >& cr)
| This function is intended to be used by subclasses of Goo::CanvasItemSimple.
void | changed (bool recompute_bounds)
| This function is intended to be used by subclasses of Goo::CanvasItemSimple.
void | check_style ()
| This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods.
double | get_line_width () const
| Gets the item's line width.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_stroke_pattern ()
| The pattern to use to paint the perimeter of the item, or NULL disable painting.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_stroke_pattern () const
| The pattern to use to paint the perimeter of the item, or NULL disable painting.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_fill_pattern ()
| The pattern to use to paint the interior of the item, or NULL to disable painting.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_fill_pattern () const
| The pattern to use to paint the interior of the item, or NULL to disable painting.
Glib::PropertyProxy < Cairo::FillRule > | property_fill_rule ()
| The fill rule used to determine which parts of the item are filled.
Glib::PropertyProxy_ReadOnly < Cairo::FillRule > | property_fill_rule () const
| The fill rule used to determine which parts of the item are filled.
Glib::PropertyProxy < Cairo::Operator > | property_operator ()
| The compositing operator to use.
Glib::PropertyProxy_ReadOnly < Cairo::Operator > | property_operator () const
| The compositing operator to use.
Glib::PropertyProxy < Cairo::Antialias > | property_antialias ()
| The antialiasing mode to use.
Glib::PropertyProxy_ReadOnly < Cairo::Antialias > | property_antialias () const
| The antialiasing mode to use.
Glib::PropertyProxy < Glib::ustring > | property_font ()
| The base font to use for the text.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_font () const
| The base font to use for the text.
Glib::PropertyProxy < Pango::FontDescription > | property_font_desc ()
| The attributes specifying which font to use.
Glib::PropertyProxy_ReadOnly < Pango::FontDescription > | property_font_desc () const
| The attributes specifying which font to use.
Glib::PropertyProxy < Cairo::HintMetrics > | property_hint_metrics ()
| The hinting to be used for font metrics.
Glib::PropertyProxy_ReadOnly < Cairo::HintMetrics > | property_hint_metrics () const
| The hinting to be used for font metrics.
Glib::PropertyProxy< double > | property_line_width ()
| The line width to use for the item's perimeter.
Glib::PropertyProxy_ReadOnly < double > | property_line_width () const
| The line width to use for the item's perimeter.
Glib::PropertyProxy < Cairo::LineCap > | property_line_cap ()
| The line cap style to use.
Glib::PropertyProxy_ReadOnly < Cairo::LineCap > | property_line_cap () const
| The line cap style to use.
Glib::PropertyProxy < Cairo::LineJoin > | property_line_join ()
| The line join style to use.
Glib::PropertyProxy_ReadOnly < Cairo::LineJoin > | property_line_join () const
| The line join style to use.
Glib::PropertyProxy< double > | property_line_join_miter_limit ()
| The smallest angle to use with miter joins, in degrees.
Glib::PropertyProxy_ReadOnly < double > | property_line_join_miter_limit () const
| The smallest angle to use with miter joins, in degrees.
Glib::PropertyProxy< LineDash > | property_line_dash ()
| The dash pattern to use.
Glib::PropertyProxy_ReadOnly < LineDash > | property_line_dash () const
| The dash pattern to use.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_stroke_color ()
| The color to use for the item's perimeter.
Glib::PropertyProxy< guint > | property_stroke_color_rgba ()
| The color to use for the item's perimeter, specified as a 32-bit integer value.
Glib::PropertyProxy_ReadOnly < guint > | property_stroke_color_rgba () const
| The color to use for the item's perimeter, specified as a 32-bit integer value.
Glib::PropertyProxy< Gdk::RGBA > | property_stroke_color_gdk_rgba ()
| The color to use for the item's perimeter, specified as a GdkRGBA.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_stroke_color_gdk_rgba () const
| The color to use for the item's perimeter, specified as a GdkRGBA.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_stroke_pixbuf ()
| The pixbuf to use to draw the item's perimeter.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_fill_color ()
| The color to use to paint the interior of the item.
Glib::PropertyProxy< guint > | property_fill_color_rgba ()
| The color to use to paint the interior of the item, specified as a 32-bit integer value.
Glib::PropertyProxy_ReadOnly < guint > | property_fill_color_rgba () const
| The color to use to paint the interior of the item, specified as a 32-bit integer value.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_fill_pixbuf ()
| The pixbuf to use to paint the interior of the item.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_clip_path ()
| The sequence of path commands specifying the clip path.
Glib::PropertyProxy < Cairo::FillRule > | property_clip_fill_rule ()
| The fill rule used to determine which parts of the item are clipped.
Glib::PropertyProxy_ReadOnly < Cairo::FillRule > | property_clip_fill_rule () const
| The fill rule used to determine which parts of the item are clipped.
Bounds | get_bounds () const
void | set_bounds (const Bounds&value)
## Protected Member Functions
| ItemSimple ()
virtual void | simple_create_path_vfunc (const Cairo::RefPtr< Cairo::Context >& cr)
virtual void | simple_update_vfunc (const Cairo::RefPtr< Cairo::Context >& cr)
virtual void | simple_paint_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, const Bounds& bounds)
virtual bool | simple_is_item_at_vfunc (double x, double y, const Cairo::RefPtr< Cairo::Context >& cr, bool is_pointer_event)
bool | get_need_update () const
void | set_need_update (const bool&value)
bool | get_need_entire_subtree_update () const
void | set_need_entire_subtree_update (const bool&value)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Goocanvas::ItemSimple > | wrap (GooCanvasItemSimple* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::ItemSimple::~ItemSimple | ( |  | ) | `[virtual]`

Goocanvas::ItemSimple::ItemSimple | ( |  | ) | `[protected]`

## Member Function Documentation

void Goocanvas::ItemSimple::changed | ( | bool | recompute_bounds | ) |

This function is intended to be used by subclasses of Goo::CanvasItemSimple.

It is used as a callback for the "changed" signal of the item models. It requests an update or redraw of the item as appropriate.

Parameters:

  recompute_bounds | If the item's bounds need to be recomputed.

bool Goocanvas::ItemSimple::check_in_path | ( | double | x,
|  | double | y,
|  | const Cairo::RefPtr< Cairo::Context > & | cr,
|  | PointerEvents | pointer_events
| ) |  | const

This function is intended to be used by subclasses of Goo::CanvasItemSimple.

It checks if the given point is in the current path, using the item's style settings.

Parameters:

  x | The x coordinate of the point.
  y | The y coordinate of the point.
  cr | A cairo context.
  pointer_events | Specifies which parts of the path to check.

Returns:
  `true` if the given point is in the current path.

void Goocanvas::ItemSimple::check_style | ( |  | ) |

This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods.

It ensures that the item's style is setup correctly. If the item has its own Goo::CanvasStyle it makes sure the parent is set correctly. If it doesn't have its own style it uses the parent item's style.

Bounds Goocanvas::ItemSimple::get_bounds | ( |  | ) | const

Reimplemented from Goocanvas::Item.

double Goocanvas::ItemSimple::get_line_width | ( |  | ) | const

Gets the item's line width.

Returns:
  The item's line width.

bool Goocanvas::ItemSimple::get_need_entire_subtree_update | ( |  | ) | const`[protected]`

bool Goocanvas::ItemSimple::get_need_update | ( |  | ) | const`[protected]`

void Goocanvas::ItemSimple::get_path_bounds | ( | const Cairo::RefPtr< Cairo::Context > & | context,
|  | Bounds& | bounds
| ) |  | const

This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods.

It calculates the bounds of the current path, using the item's style settings, and stores the results in the given Goo::CanvasBounds struct.

The returned bounds contains the bounding box of the path in device space, converted to user space coordinates. To calculate the bounds completely in user space, use cairo_identity_matrix() to temporarily reset the current transformation matrix to the identity matrix.

Parameters:

  cr | A cairo context.
  bounds | The Goo::CanvasBounds struct to store the resulting bounding box.

GooCanvasItemSimple* Goocanvas::ItemSimple::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::Item.

Reimplemented in Goocanvas::Ellipse, Goocanvas::Grid, Goocanvas::Group, Goocanvas::Image, Goocanvas::Polyline, Goocanvas::Path, Goocanvas::Rect, Goocanvas::Table, Goocanvas::Text, and Goocanvas::Widget.

const GooCanvasItemSimple* Goocanvas::ItemSimple::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::Item.

Reimplemented in Goocanvas::Ellipse, Goocanvas::Grid, Goocanvas::Group, Goocanvas::Image, Goocanvas::Polyline, Goocanvas::Path, Goocanvas::Rect, Goocanvas::Table, Goocanvas::Text, and Goocanvas::Widget.

GooCanvasItemSimple* Goocanvas::ItemSimple::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Goocanvas::Ellipse, Goocanvas::Grid, Goocanvas::Group, Goocanvas::Image, Goocanvas::Polyline, Goocanvas::Path, Goocanvas::Rect, Goocanvas::Table, Goocanvas::Text, and Goocanvas::Widget.

void Goocanvas::ItemSimple::paint_path | ( | const Cairo::RefPtr< Cairo::Context > & | cr | ) |

This function is intended to be used by subclasses of Goo::CanvasItemSimple.

It paints the current path, using the item's style settings.

Parameters:

  cr | A cairo context.

Glib::PropertyProxy<Cairo::Antialias> Goocanvas::ItemSimple::property_antialias | ( |  | ) |

The antialiasing mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::Antialias> Goocanvas::ItemSimple::property_antialias | ( |  | ) | const

The antialiasing mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::FillRule> Goocanvas::ItemSimple::property_clip_fill_rule | ( |  | ) |

The fill rule used to determine which parts of the item are clipped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::FillRule> Goocanvas::ItemSimple::property_clip_fill_rule | ( |  | ) | const

The fill rule used to determine which parts of the item are clipped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::ItemSimple::property_clip_path | ( |  | ) |

The sequence of path commands specifying the clip path.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::ItemSimple::property_fill_color | ( |  | ) |

The color to use to paint the interior of the item.

To disable painting set the 'fill-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Goocanvas::ItemSimple::property_fill_color_rgba | ( |  | ) |

The color to use to paint the interior of the item, specified as a 32-bit integer value.

To disable painting set the 'fill-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Goocanvas::ItemSimple::property_fill_color_rgba | ( |  | ) | const

The color to use to paint the interior of the item, specified as a 32-bit integer value.

To disable painting set the 'fill-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ItemSimple::property_fill_pattern | ( |  | ) | const

The pattern to use to paint the interior of the item, or NULL to disable painting.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ItemSimple::property_fill_pattern | ( |  | ) |

The pattern to use to paint the interior of the item, or NULL to disable painting.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::ItemSimple::property_fill_pixbuf | ( |  | ) |

The pixbuf to use to paint the interior of the item.

To disable painting set the 'fill-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::FillRule> Goocanvas::ItemSimple::property_fill_rule | ( |  | ) |

The fill rule used to determine which parts of the item are filled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::FillRule> Goocanvas::ItemSimple::property_fill_rule | ( |  | ) | const

The fill rule used to determine which parts of the item are filled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Goocanvas::ItemSimple::property_font | ( |  | ) | const

The base font to use for the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Goocanvas::ItemSimple::property_font | ( |  | ) |

The base font to use for the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::FontDescription> Goocanvas::ItemSimple::property_font_desc | ( |  | ) |

The attributes specifying which font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::FontDescription> Goocanvas::ItemSimple::property_font_desc | ( |  | ) | const

The attributes specifying which font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::HintMetrics> Goocanvas::ItemSimple::property_hint_metrics | ( |  | ) |

The hinting to be used for font metrics.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::HintMetrics> Goocanvas::ItemSimple::property_hint_metrics | ( |  | ) | const

The hinting to be used for font metrics.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::LineCap> Goocanvas::ItemSimple::property_line_cap | ( |  | ) | const

The line cap style to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::LineCap> Goocanvas::ItemSimple::property_line_cap | ( |  | ) |

The line cap style to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<LineDash> Goocanvas::ItemSimple::property_line_dash | ( |  | ) |

The dash pattern to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<LineDash> Goocanvas::ItemSimple::property_line_dash | ( |  | ) | const

The dash pattern to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::LineJoin> Goocanvas::ItemSimple::property_line_join | ( |  | ) |

The line join style to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::LineJoin> Goocanvas::ItemSimple::property_line_join | ( |  | ) | const

The line join style to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::ItemSimple::property_line_join_miter_limit | ( |  | ) | const

The smallest angle to use with miter joins, in degrees.

Bevel joins will be used below this limit.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::ItemSimple::property_line_join_miter_limit | ( |  | ) |

The smallest angle to use with miter joins, in degrees.

Bevel joins will be used below this limit.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::ItemSimple::property_line_width | ( |  | ) |

The line width to use for the item's perimeter.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::ItemSimple::property_line_width | ( |  | ) | const

The line width to use for the item's perimeter.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::Operator> Goocanvas::ItemSimple::property_operator | ( |  | ) |

The compositing operator to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::Operator> Goocanvas::ItemSimple::property_operator | ( |  | ) | const

The compositing operator to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::ItemSimple::property_stroke_color | ( |  | ) |

The color to use for the item's perimeter.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::RGBA> Goocanvas::ItemSimple::property_stroke_color_gdk_rgba | ( |  | ) |

The color to use for the item's perimeter, specified as a GdkRGBA.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::RGBA> Goocanvas::ItemSimple::property_stroke_color_gdk_rgba | ( |  | ) | const

The color to use for the item's perimeter, specified as a GdkRGBA.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Goocanvas::ItemSimple::property_stroke_color_rgba | ( |  | ) |

The color to use for the item's perimeter, specified as a 32-bit integer value.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Goocanvas::ItemSimple::property_stroke_color_rgba | ( |  | ) | const

The color to use for the item's perimeter, specified as a 32-bit integer value.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ItemSimple::property_stroke_pattern | ( |  | ) | const

The pattern to use to paint the perimeter of the item, or NULL disable painting.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ItemSimple::property_stroke_pattern | ( |  | ) |

The pattern to use to paint the perimeter of the item, or NULL disable painting.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::ItemSimple::property_stroke_pixbuf | ( |  | ) |

The pixbuf to use to draw the item's perimeter.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Goocanvas::ItemSimple::set_bounds | ( | const Bounds& | value | ) |

void Goocanvas::ItemSimple::set_model | ( | const Glib::RefPtr< ItemModel >& | model | ) |

This function should be called by subclasses of Goo::CanvasItemSimple in their set_model() method.

Parameters:

  model | The model that item will view.

Reimplemented from Goocanvas::Item.

void Goocanvas::ItemSimple::set_need_entire_subtree_update | ( | const bool & | value | ) | `[protected]`

void Goocanvas::ItemSimple::set_need_update | ( | const bool & | value | ) | `[protected]`

virtual void Goocanvas::ItemSimple::simple_create_path_vfunc | ( | const Cairo::RefPtr< Cairo::Context > & | cr | ) | `[protected, virtual]`

virtual bool Goocanvas::ItemSimple::simple_is_item_at_vfunc | ( | double | x,
|  | double | y,
|  | const Cairo::RefPtr< Cairo::Context > & | cr,
|  | bool | is_pointer_event
| ) |  | `[protected, virtual]`

virtual void Goocanvas::ItemSimple::simple_paint_vfunc | ( | const Cairo::RefPtr< Cairo::Context > & | cr,
|  | const Bounds& | bounds
| ) |  | `[protected, virtual]`

virtual void Goocanvas::ItemSimple::simple_update_vfunc | ( | const Cairo::RefPtr< Cairo::Context > & | cr | ) | `[protected, virtual]`

void Goocanvas::ItemSimple::user_bounds_to_device | ( | const Cairo::RefPtr< Cairo::Context > & | context,
|  | Bounds& | bounds
| ) |  |

This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods.

It converts the item's bounds to a bounding box in device space.

Parameters:

  cr | A cairo context.
  bounds | The bounds of the item, in the item's coordinate space.

void Goocanvas::ItemSimple::user_bounds_to_parent | ( | const Cairo::RefPtr< Cairo::Context > & | context,
|  | Bounds& | bounds
| ) |  |

This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their get_requested_area() method.

It converts the item's bounds to a bounding box in its parent's coordinate space. If the item has no transformation matrix set then no conversion is needed.

Parameters:

  cr | A cairo context.
  bounds | The bounds of the item, in the item's coordinate space.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::ItemSimple > wrap | ( | GooCanvasItemSimple * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/itemsimple.h